DAVSERVER(1)

NAME
davserver -WebDAV server implementation in Python

SYNOPSIS
davserver OPTIONS

DESCRIPTION
 PyWebDAV is a WebDAV server implementation in Python. It's aim is to provide a simple interface to webdav services to any application which needs it. It can be run as a daemon.

OPTIONS

-c, --config
    Specify a file where configuration is specified. In this file you can specify options for a running server. For an example look at the config.ini in this directory.

-D, --directory
    Directory where to serve data from. The user that runs this server must have permissions on that directory. NEVER run as root! Default directory is /tmp

-H, --host
    Host where to listen on (default: localhost).

-P, --port
    Port to bind server to (default: 8008).

-u, --user
    Username for authentication.

-p, --password
    Password for given user.

-n, --noauth
    Pass parameter if server should not ask for authentication. This means that every user has access.

-m, --mysql
    Pass this parameter if you want MySQL based authentication. If you want to use MySQL then the usage of a configuration file is mandatory.

-J, --lockemu
    Activate experimental LOCK and UNLOCK mode (WebDAV Version 2). Currently know to work but needs more tests. Default is ON.

-M, --nomime
    Deactivate mimetype sniffing. Sniffing is based on magic numbers detection but can be slow under heavy load. If you are experiencing speed problems try to use this parameter.

-i, --icounter
    If you want to run multiple instances then you have to give each instance it own number so that logfiles and such can be identified. Default is 0.

-d, --daemon ACTION
    Make server act like a daemon. That means that it is going to background mode. All messages are redirected to logfiles (default: /tmp/pydav.log and /tmp/pydav.err). You need to pass one of the following actions to this parameter, 'start' to start the daemon, 'stop' to stop the daemon, 'restart' to restart the server, or, 'status' to return the status of the server.

-v, --verbose
    Be verbose.

-h, --help
    Show this screen.

HOMEPAGE
More information about davserver and the PyWebDAV project can be found at <http://code.google.com/p/pywebdav/>.

AUTHOR
PyWebDAV was written by Simon Pamies <s.pamies@banality.de>, Christian Scholz <ruebe@aachen.heimat.de>, and Vince Spicer <vince@vince.ca>. L

This manual page was written by Daniel Baumann <daniel@debian.org>.